Bug 1005024 - 3.9.91.1-1 makes my mouse cursor invisible
3.9.91.1-1 makes my mouse cursor invisible
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-06 00:31 EDT by Valdis Kletnieks
Modified: 2016-07-19 06:21 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:21:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Valdis Kletnieks 2013-09-06 00:31:26 EDT
Description of problem:
After upgrading gnome-settings-daemon to latest Rawhide version, the mouse cursor becomes invisible.  The mouse pointing device *is* functional, as you can see its effects as you enter/leave windows and widgets and focus highlights take effect.  Mouse buttons work (and provide another proof that the pointer moves - pop-up menus open where they should if the mouse was visible).

Problem manifests on both the gdm gnome-shell login screen and a non-Gnome window manager once logged in (e16, but with gnome-settings-daemon running)

Backing off to gnome-settings-daemon-3.9.90-2.fc21.x86_64 solves the problem.

Possibly related to this mutter change:

http://anzwix.com/a/Mutter/MetaCursorTrackerAddMethodsForSettingTheCursorVi

which seems to be cursor-visbility related. Is this because gnome-settings-daemon got updated but mutter did not?  If so, why did it also affect my non-Gnome user environment?

Version-Release number of selected component (if applicable):
gnome-settings-daemon-3.9.91.1-1.fc20.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Jaroslav Reznik 2015-03-03 10:02:28 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 2 Fedora End Of Life 2016-07-19 06:21:02 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.